Update to 1.16.3 Not possible

I have try to Update My NCPi to Version 1.16.3. It doesnt work and stay on 1.15.3.

What Can i do ?